package com.bwie.controller;

import com.bwie.mapper.BillMapper;
import com.bwie.pojo.BillDao;
import com.bwie.service.BillService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.bwie.controller
 * @Project：Zg6-day8
 * @name：BillController
 * @Date：2024/7/26 8:49
 */
@RestController
@RequestMapping("/bill")
public class BillController {

    @Autowired
    private BillService billService;

    /***
     * 查询所有
     * @return 返回BillDao集合
     *
     */
    @GetMapping("/selectAll")
    public List<BillDao> selectAll(){
        return billService.selectAll();
    }

    /***
     *
     * @param billDao 账单
     * @return 1 成功 0 失败 error 失败
     */
    @PostMapping("/add")
    public Integer add(@RequestBody BillDao billDao){
        return billService.add(billDao);
    }

}
